# eric7.Debugger.StartHistoryEditDialog

Module implementing a dialog to edit a list of history entries.

### Global Attributes

None

### Classes

StartHistoryEditDialog | Class implementing a dialog to edit a list of history entries.

### Functions

None

## StartHistoryEditDialog

Class implementing a dialog to edit a list of history entries.

### Derived from

QDialog, Ui_StartHistoryEditDialog

### Class Attributes

None

### Class Methods

None

### Methods

StartHistoryEditDialog | Constructor
__updateEditButtons | Private method to set the state of the edit buttons.
getHistory | Public method to get the new list of history entries.
on_deleteAllButton_clicked | Private slot to delete all entries.
on_deleteButton_clicked | Private slot to delete the selected entries.
on_editButton_clicked | Private slot to edit the selected entry.
on_historyList_itemSelectionChanged | Private slot to handle the selection of entries.

### Static Methods

None

#### StartHistoryEditDialog (Constructor)

StartHistoryEditDialog(history, parent=None)

Constructor

history (list of str)
  list of history entries to be edited
parent (QWidget)
  reference to the parent widget

#### StartHistoryEditDialog.__updateEditButtons

__updateEditButtons()

Private method to set the state of the edit buttons.

#### StartHistoryEditDialog.getHistory

getHistory()

Public method to get the new list of history entries.

Return:
  list of history entries

Return Type:
  list of str

#### StartHistoryEditDialog.on_deleteAllButton_clicked

on_deleteAllButton_clicked()

Private slot to delete all entries.

#### StartHistoryEditDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entries.

#### StartHistoryEditDialog.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the selected entry.

#### StartHistoryEditDialog.on_historyList_itemSelectionChanged

on_historyList_itemSelectionChanged()

Private slot to handle the selection of entries.

Up